declare namespace _default {
    const _extends: string[];
    export { _extends as extends };
    export const parser: string;
    export namespace parserOptions {
        const warnOnUnsupportedTypeScriptVersion: boolean;
        const ecmaVersion: number;
        const sourceType: string;
        namespace ecmaFeatures {
            const jsx: boolean;
            const impliedStrict: boolean;
        }
    }
    export namespace settings {
        namespace react {
            const version: string;
        }
    }
    export const plugins: string[];
    export namespace env {
        const browser: boolean;
        const node: boolean;
        const commonjs: boolean;
        const es6: boolean;
        const jest: boolean;
    }
    export const rules: {
        'react/no-find-dom-node': string;
        eqeqeq: string;
        'block-scoped-var': string;
        'comma-dangle': string;
        'no-eval': string;
        'no-console': string;
        'no-debugger': string;
        'no-undef': string;
        'no-unused-vars': string;
        'operator-linebreak': string[];
        'object-curly-newline': string;
        'padded-blocks': string;
        'jsx-quotes': string[];
        'no-lonely-if': string;
        'array-callback-return': string;
        'valid-jsdoc': (string | {
            requireReturn: boolean;
        })[];
    };
}
export default _default;
