"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const babelrc_js_1 = __importDefault(require("../babelrc.js"));
const utils_1 = __importDefault(require("../utils"));
const paths_1 = __importDefault(require("../paths"));
const constant_1 = require("../common/constant");
function getBabelLoader(rcb) {
    let include = [
        paths_1.default.src
    ];
    return ({
        test: constant_1.BABEL_REGEX,
        include,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils_1.default.mergeBabelConfig(babelrc_js_1.default, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
exports.default = getBabelLoader;
