"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const utils_1 = __importDefault(require("./utils"));
function getOutput(config) {
    return Object.assign({
        path: path_1.default.resolve(process.cwd(), 'dist'),
        filename: utils_1.default.isDev() ? 'js/[name].js' : 'js/[name].[contenthash:8].js',
        chunkFilename: utils_1.default.isDev() ? 'js/[name].chunk.js' : 'js/chunk.[contenthash:8].js'
    }, config);
}
exports.default = getOutput;
;
